package com.ssj.service.conch.parents.v2.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 * @author yrf
 * @description
 * @time 2020/4/16 14:27
 */
public class KnowledgeVersionListReq extends BaseRequest {

    private static final long serialVersionUID = -5315092868439503912L;

    @ApiModelProperty(name = "subject", value = "科目(可选值：语文、数学、英语)")
    @NotBlank
    private String subject;

    @ApiModelProperty(name = "grade", value = "年级(可选值：一年级、二年级、三年级、四年级、五年级、六年级)")
    @NotBlank
    private String grade;

    @ApiModelProperty(name = "semester", value = "学期(1：上学期，2：下学期)")
    @NotNull
    private Integer semester;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Integer getSemester() {
        return semester;
    }

    public void setSemester(Integer semester) {
        this.semester = semester;
    }
}
